<ion-header>

	<ion-navbar>
		<ion-title class="title-after-back">
			Voyage
		</ion-title>
		<button ion-button="" menuToggle="">
			<ion-icon name="menu"></ion-icon>
		</button>
	</ion-navbar>

</ion-header>
<ion-content>
	<ion-grid class="">
		<ion-row justify-content-center class="row-top">
			<ion-col col-8 col-sm col-auto>
				<img src="assets/imgs/bee-logo.png" class="logo-reservation">
				<h1 class="title_header">Sélectionner une voyage</h1>
			</ion-col>
		</ion-row>
		<ion-row justify-content-center margin-top class="content-center">

			<ion-col col-12 col-sm col-auto >
				<ion-card>
					<ion-card-header>
						Choix de date
					</ion-card-header>
					<ion-card-content>
						Les dates grisées sur le calendrier ne sont pas disponnibles pour cette voyage

						<button (tap)="openCalendar()" ion-button  block  class="button-md button-ios">
							<ion-icon item-start name="calendar"></ion-icon>
							Calendrier
						</button>
					</ion-card-content>
				</ion-card>
			</ion-col>

		</ion-row>

		<ion-row justify-content-center margin-top class="content-center" *ngIf="ok">

			<ion-col col-12 col-sm col-auto >
				<ion-searchbar [(ngModel)]="myInput" placeholder="Recherche"></ion-searchbar>
			</ion-col>

		</ion-row>

		<ion-row justify-content-center margin-top class="content-center" *ngIf="ok">
			<ion-col col-12 col-sm col-auto >
				<button style="height: 4.7rem !important;" (tap)="sort()" ion-button  block  class="button-md button-ios">
					<ion-icon item-start name="funnel"></ion-icon>		
					Tri par prix
				</button>
			</ion-col>
		</ion-row> 



		<ion-row justify-content-center margin-top class="content-center">

			<ion-col col-12 col-sm col-auto >
				<ion-list *ngIf="ok">

					<ion-item-group *ngFor="let booking of bookings | cooperativeSearch: myInput" (tap)="selectBooking(booking.params)">
						<ion-card class="cooperative"  *ngIf="booking.day == selectedDay">
							<ion-card-content>
								<ion-card-title>
									{{booking.cooperative?.name}}
								</ion-card-title>
								<p>
									<ion-icon class="tag" item-start name="pin"></ion-icon>
									{{ booking?.trajet?.startstation?.city }} - {{ booking?.trajet?.arrivalstation?.city }}
								</p>
								<p>
									<ion-icon class="tag" item-start name="time"></ion-icon>
									{{booking.hour}}
								</p>
								<p>
									<ion-icon class="tag" item-start name="pricetags"></ion-icon>									<ion-badge item-end>{{booking.price}} Ar</ion-badge>
								</p>

							</ion-card-content>
						</ion-card>
					</ion-item-group>
				</ion-list>
			</ion-col>
		</ion-row>
	</ion-grid>
</ion-content>


